OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ColorBufferFloat

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBColorBufferFloat :: MonadIO m => m Bool
- gl_ARB_color_buffer_float :: Bool
- pattern GL_CLAMP_FRAGMENT_COLOR_ARB :: GLenum
- pattern GL_CLAMP_READ_COLOR_ARB :: GLenum
- pattern GL_CLAMP_VERTEX_COLOR_ARB :: GLenum
- pattern GL_FIXED_ONLY_ARB :: GLenum
- pattern GL_RGBA_FLOAT_MODE_ARB :: GLenum
- glClampColorARB :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetARBColorBufferFloat :: MonadIO m => m Bool Source #

Is the ARB_color_buffer_float extension supported?

gl_ARB_color_buffer_float :: Bool Source #

Is the ARB_color_buffer_float extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBColorBufferFloat` in those cases instead.

# Enums

pattern GL_CLAMP_FRAGMENT_COLOR_ARB :: GLenum Source #

pattern GL_CLAMP_READ_COLOR_ARB :: GLenum Source #

pattern GL_CLAMP_VERTEX_COLOR_ARB :: GLenum Source #

pattern GL_FIXED_ONLY_ARB :: GLenum Source #

pattern GL_RGBA_FLOAT_MODE_ARB :: GLenum Source #

# Functions

glClampColorARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ClampColorTargetARB.
-> GLenum | `clamp` of type ClampColorModeARB.
-> m () |

This command is an alias for `glClampColor`.